package com.inca.npbusi.credit_qry;

import com.inca.np.auth.Userruninfo;
import com.inca.np.communicate.ClientRequest;
import com.inca.np.communicate.ServerResponse;
import com.inca.np.communicate.StringCommand;
import com.inca.np.server.RequestProcessorAdapter;
import com.inca.pubsrv.credit.CreditBillTmp_dbprocess;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Timestamp;
import java.text.SimpleDateFormat;

public class ResetDebt_process extends RequestProcessorAdapter {
   public int process(Userruninfo var1, ClientRequest var2, ServerResponse var3) {
      String var4 = ((StringCommand)var2.commandAt(0)).getString();
      if (!"creditQuery.欠款重算".equals(var4)) {
         throw new Exception("服务器命令错误");
      } else {
         Connection var12 = null;

         try {
            var12 = this.getConnection();
            Object var5 = null;
            var5 = null;
            String var7 = "bms_credit_bill_tmp";
            var7 = "lock table " + var7 + " in exclusive mode";
            PreparedStatement var13;
            (var13 = var12.prepareStatement(var7)).execute();
            var13.close();
            var7 = "delete from bms_credit_bill_tmp";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_credit_level_1 a set a.owemoney = 0";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_credit_level_2 a set a.owemoney = 0";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_credit_level_3 a set a.owemoney = 0";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_credit_level_4 a set a.owemoney = 0";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_credit_level_5 a set a.owemoney = 0";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_credit_level_6 a set a.owemoney = 0";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_creditdays_level_1 a set a.owedate = null";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_creditdays_level_2 a set a.owedate = null";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_creditdays_level_3 a set a.owedate = null";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_creditdays_level_4 a set a.owedate = null";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_creditdays_level_5 a set a.owedate = null";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            var7 = "update bms_creditdays_level_6 a set a.owedate = null";
            (var13 = var12.prepareStatement(var7)).executeUpdate();
            var13.close();
            e(var12);
            d(var12);
            c(var12);
            b(var12);
            a(var12);
            var12.commit();
            var3.addCommand(new StringCommand("+OK"));
         } catch (Exception var10) {
            var12.rollback();
            var10.printStackTrace();
         } finally {
            if (var12 != null) {
               var12.close();
            }

         }

         return super.process(var1, var2, var3);
      }
   }

   private static void a(Connection var0) {
      String var1 = "select a.sarecid,-(a.total - nvl(a.premoney,0)) debt,a.confirmdate from bms_sa_rec_doc a where a.recmethod = 1 and a.oldprerecid is null and a.usestatus = 1 and nvl(a.finishflag, 0) = 0";
      PreparedStatement var8;
      ResultSet var2 = (var8 = var0.prepareStatement(var1)).executeQuery();

      while(var2.next()) {
         String var3 = var2.getString(1);
         String var4 = var2.getString(2);
         Timestamp var5 = var2.getTimestamp(3);
         String var7 = (new SimpleDateFormat("yyyy-MM-dd HH:mm:ss")).format(var5);
         (new CreditBillTmp_dbprocess("BMS_SA_REC_DOC", var3)).genCreditBillTmp(var0, var4, var7);
      }

      var2.close();
      var8.close();
   }

   private static void b(Connection var0) {
      String var1 = "select b.sasettledtlid,sum(b.total_line - nvl(b.totalrecmoney, 0)) debt,a.confirmdate from bms_sa_settle_doc a, bms_sa_settle_dtl b where a.usestatus = 1 and a.settype = 2 and a.sasettleid = b.sasettleid and nvl(b.recfinflag,0) <> 1 group by b.sasettledtlid,a.confirmdate";
      PreparedStatement var8;
      ResultSet var2 = (var8 = var0.prepareStatement(var1)).executeQuery();

      while(var2.next()) {
         String var3 = var2.getString(1);
         String var4 = var2.getString(2);
         Timestamp var5 = var2.getTimestamp(3);
         String var7 = (new SimpleDateFormat("yyyy-MM-dd HH:mm:ss")).format(var5);
         (new CreditBillTmp_dbprocess("BMS_SA_SETTLE_DTL", var3)).genCreditBillTmp(var0, var4, var7);
      }

      var2.close();
      var8.close();
   }

   private static void c(Connection var0) {
      String var1 = "select b.sasettledtlid, sum(b.total_line - nvl(b.totalrecmoney, 0)) debt,a.credate from bms_sa_settle_doc a, bms_sa_settle_dtl b where a.usestatus = 1 and a.initflag = 1 and a.settype = 1 and a.sasettleid = b.sasettleid and nvl(b.recfinflag,0) <> 1 group by b.sasettledtlid,a.credate";
      PreparedStatement var8;
      ResultSet var2 = (var8 = var0.prepareStatement(var1)).executeQuery();

      while(var2.next()) {
         String var3 = var2.getString(1);
         String var4 = var2.getString(2);
         Timestamp var5 = var2.getTimestamp(3);
         String var7 = (new SimpleDateFormat("yyyy-MM-dd HH:mm:ss")).format(var5);
         (new CreditBillTmp_dbprocess("BMS_SA_SETTLE_DTL", var3)).genCreditBillTmp(var0, var4, var7);
      }

      var2.close();
      var8.close();
   }

   private static void d(Connection var0) {
      String var1 = "select a.salesid, sum(d.total_line - nvl(d.totalrecmoney, 0)) debt, a.confirmdate from bms_sa_doc a, bms_sa_dtl b, bms_sa_doctoset c, bms_sa_settle_dtl d where a.salesid = b.salesid and c.salesdtlid = b.salesdtlid(+) and c.sasettledtlid = d.sasettledtlid(+) and nvl(d.recfinflag,0) <> 1 group by a.salesid,a.confirmdate";
      PreparedStatement var8;
      ResultSet var2 = (var8 = var0.prepareStatement(var1)).executeQuery();

      while(var2.next()) {
         String var3 = var2.getString(1);
         String var4 = var2.getString(2);
         Timestamp var5 = var2.getTimestamp(3);
         String var7 = (new SimpleDateFormat("yyyy-MM-dd HH:mm:ss")).format(var5);
         (new CreditBillTmp_dbprocess("BMS_SA_DOC", var3)).genCreditBillTmp(var0, var4, var7);
      }

      var2.close();
      var8.close();
   }

   private static void e(Connection var0) {
      String var1 = "select a.salesid, (sum(b.total_line) - sum(nvl(b.settlemoney, 0))) debt,a.confirmdate from bms_sa_doc a, bms_sa_dtl b where a.salesid = b.salesid and a.usestatus = 1  group by a.salesid,a.confirmdate";
      PreparedStatement var8;
      ResultSet var2 = (var8 = var0.prepareStatement(var1)).executeQuery();

      while(var2.next()) {
         String var3 = var2.getString(1);
         String var4 = var2.getString(2);
         Timestamp var5 = var2.getTimestamp(3);
         String var7 = (new SimpleDateFormat("yyyy-MM-dd HH:mm:ss")).format(var5);
         (new CreditBillTmp_dbprocess("BMS_SA_DOC", var3)).genCreditBillTmp(var0, var4, var7);
      }

      var2.close();
      var8.close();
   }
}
